Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 203514 - NullPointerException at java.util.Arrays$ArrayList.<init>(Unknown Source)
NullPointerException at java.util.Arrays$ArrayList.<init>(Unknown Source)
Status: CLOSED WORKSFORME
Product: platform
Classification: Unclassified
Component: JDK Problems
7.0.1
PC Windows XP
: P3 (vote)
: TBD
Assigned To: Antonin Nebuzelsky
issues@platform
jdk_bug_6940843
: JDK_SPECIFIC
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-11 13:42 UTC by ttokoly
Modified: 2012-08-01 13:52 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Screenshot of exception (15.95 KB, image/png)
2011-10-11 13:42 UTC, ttokoly
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ttokoly 2011-10-11 13:42:09 UTC
Product Version: NetBeans IDE 7.0.1 (Build 201107282000)
Java: 1.6.0_29; Java HotSpot(TM) Client VM 20.4-b02
System: Windows XP version 5.1 running on x86; Cp1250; cs_CZ (nb)

First install of cobundle NB7.0.1 and jdk6u29. In the end of instalation, after click on Finish, this error shows up (screenshot in attachment). After that, NB starts properly without any problems.

Then I tried to reproduce it, by after uninstalation and reinstalation works everything fine.

So it's probably random.
Comment 1 ttokoly 2011-10-11 13:42:56 UTC
Created attachment 111855 [details]
Screenshot of exception
Comment 2 Antonin Nebuzelsky 2011-10-11 14:04:10 UTC
Did you have 6u19 previously installed that installer was running with?

http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6940843

This bug was fixed in 6u21.
Comment 3 ttokoly 2011-10-11 14:50:51 UTC
No, my previous jdk was the 6u24.
Comment 4 Marian Mirilovic 2011-10-13 08:12:23 UTC
(In reply to comment #3)
> No, my previous jdk was the 6u24.

so reopen
Comment 5 ttokoly 2012-08-01 13:44:47 UTC
I have not seen this error for a long time, so marked as worksforme.
Comment 6 ttokoly 2012-08-01 13:52:03 UTC
...and closed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo